Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 548438 - Reduce GCC warning noise by omitting duplicate messages
Summary: Reduce GCC warning noise by omitting duplicate messages
Status: RESOLVED FIXED
Alias: None
Product: Portage Development
Classification: Unclassified
Component: Enhancement/Feature Requests (show other bugs)
Hardware: All Linux
: Normal enhancement (vote)
Assignee: Portage team
URL:
Whiteboard:
Keywords: InVCS
Depends on:
Blocks: 484436
  Show dependency tree
 
Reported: 2015-05-02 22:37 UTC by Ryan Hill (RETIRED)
Modified: 2015-05-19 19:49 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
portage-2.2.18-tldr.patch (portage-2.2.18-tldr.patch,524 bytes, patch)
2015-05-02 22:37 UTC, Ryan Hill (RETIRED)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Ryan Hill (RETIRED) gentoo-dev 2015-05-02 22:37:02 UTC
Created attachment 402464 [details, diff]
portage-2.2.18-tldr.patch

This is ugly, pointless, and can push other more important output off the screen:

 * QA Notice: Package triggers severe warnings which indicate that it
 *            may exhibit random runtime failures.
 * /usr/include/KDE/../kdebug.h:260:64: warning: array subscript is above array bounds [-Warray-bounds]
 * /usr/include/KDE/../kdebug.h:260:64: warning: array subscript is above array bounds [-Warray-bounds]
 * /usr/include/KDE/../kdebug.h:260:64: warning: array subscript is above array bounds [-Warray-bounds]
 * /usr/include/KDE/../kdebug.h:260:64: warning: array subscript is above array bounds [-Warray-bounds]
 * /usr/include/KDE/../kdebug.h:260:64: warning: array subscript is above array bounds [-Warray-bounds]
 * /usr/include/KDE/../kdebug.h:260:64: warning: array subscript is above array bounds [-Warray-bounds]
 * /usr/include/KDE/../kdebug.h:260:64: warning: array subscript is above array bounds [-Warray-bounds]
 * /usr/include/KDE/../kdebug.h:260:64: warning: array subscript is above array bounds [-Warray-bounds]
 * /usr/include/KDE/../kdebug.h:260:64: warning: array subscript is above array bounds [-Warray-bounds]
 * /usr/include/KDE/../kdebug.h:260:64: warning: array subscript is above array bounds [-Warray-bounds]
 * /usr/include/KDE/../kdebug.h:260:64: warning: array subscript is above array bounds [-Warray-bounds]
 * /usr/include/KDE/../kdebug.h:260:64: warning: array subscript is above array bounds [-Warray-bounds]
 * /usr/include/KDE/../kdebug.h:260:64: warning: array subscript is above array bounds [-Warray-bounds]
 * /usr/include/KDE/../kdebug.h:260:64: warning: array subscript is above array bounds [-Warray-bounds]
 * /usr/include/KDE/../kdebug.h:260:64: warning: array subscript is above array bounds [-Warray-bounds]
 * /usr/include/KDE/../kdebug.h:260:64: warning: array subscript is above array bounds [-Warray-bounds]
 * /usr/include/KDE/../kdebug.h:260:64: warning: array subscript is above array bounds [-Warray-bounds]
 * /usr/include/KDE/../kdebug.h:260:64: warning: array subscript is above array bounds [-Warray-bounds]
 * /usr/include/KDE/../kdebug.h:260:64: warning: array subscript is above array bounds [-Warray-bounds]
 * /usr/include/KDE/../kdebug.h:260:64: warning: array subscript is above array bounds [-Warray-bounds]
 * /usr/include/KDE/../kdebug.h:260:64: warning: array subscript is above array bounds [-Warray-bounds]
 * /usr/include/KDE/../kdebug.h:260:64: warning: array subscript is above array bounds [-Warray-bounds]
 * /usr/include/KDE/../kdebug.h:260:64: warning: array subscript is above array bounds [-Warray-bounds]
 * /usr/include/KDE/../kdebug.h:260:64: warning: array subscript is above array bounds [-Warray-bounds]
 * /usr/include/KDE/../kdebug.h:260:64: warning: array subscript is above array bounds [-Warray-bounds]
 * /usr/include/KDE/../kdebug.h:260:64: warning: array subscript is above array bounds [-Warray-bounds]
 * /usr/include/KDE/../kdebug.h:260:64: warning: array subscript is above array bounds [-Warray-bounds]
 * /usr/include/KDE/../kdebug.h:260:64: warning: array subscript is above array bounds [-Warray-bounds]
 * /usr/include/KDE/../kdebug.h:260:64: warning: array subscript is above array bounds [-Warray-bounds]
 * /usr/include/KDE/../kdebug.h:260:64: warning: array subscript is above array bounds [-Warray-bounds]
 * /usr/include/KDE/../kdebug.h:260:64: warning: array subscript is above array bounds [-Warray-bounds]
 * /usr/include/KDE/../kdebug.h:260:64: warning: array subscript is above array bounds [-Warray-bounds]
 * /usr/include/KDE/../kdebug.h:260:64: warning: array subscript is above array bounds [-Warray-bounds]
 * /usr/include/KDE/../kdebug.h:260:64: warning: array subscript is above array bounds [-Warray-bounds]
 * /usr/include/KDE/../kdebug.h:260:64: warning: array subscript is above array bounds [-Warray-bounds]
 * /usr/include/KDE/../kdebug.h:260:64: warning: array subscript is above array bounds [-Warray-bounds]
 * /usr/include/KDE/../kdebug.h:260:64: warning: array subscript is above array bounds [-Warray-bounds]
 * /usr/include/KDE/../kdebug.h:260:64: warning: array subscript is above array bounds [-Warray-bounds]
 * /usr/include/KDE/../kdebug.h:260:64: warning: array subscript is above array bounds [-Warray-bounds]
 * /usr/include/KDE/../kdebug.h:260:64: warning: array subscript is above array bounds [-Warray-bounds]
 * /usr/include/KDE/../kdebug.h:260:64: warning: array subscript is above array bounds [-Warray-bounds]
 * /usr/include/KDE/../kdebug.h:260:64: warning: array subscript is above array bounds [-Warray-bounds]
 * /usr/include/KDE/../kdebug.h:260:64: warning: array subscript is above array bounds [-Warray-bounds]
 * /usr/include/KDE/../kdebug.h:260:64: warning: array subscript is above array bounds [-Warray-bounds]
 * /usr/include/KDE/../kdebug.h:260:64: warning: array subscript is above array bounds [-Warray-bounds]
 * /usr/include/KDE/../kdebug.h:260:64: warning: array subscript is above array bounds [-Warray-bounds]
 * /usr/include/KDE/../kdebug.h:260:64: warning: array subscript is above array bounds [-Warray-bounds]
 * /usr/include/KDE/../kdebug.h:260:64: warning: array subscript is above array bounds [-Warray-bounds]
 * /usr/include/KDE/../kdebug.h:260:64: warning: array subscript is above array bounds [-Warray-bounds]
 * /usr/include/KDE/../kdebug.h:260:64: warning: array subscript is above array bounds [-Warray-bounds]
 * /usr/include/KDE/../kdebug.h:260:64: warning: array subscript is above array bounds [-Warray-bounds]
 * /usr/include/KDE/../kdebug.h:260:64: warning: array subscript is above array bounds [-Warray-bounds]
 * /usr/include/KDE/../kdebug.h:260:64: warning: array subscript is above array bounds [-Warray-bounds]
 * /usr/include/KDE/../kdebug.h:260:64: warning: array subscript is above array bounds [-Warray-bounds]
 * /usr/include/KDE/../kdebug.h:260:64: warning: array subscript is above array bounds [-Warray-bounds]
 * /usr/include/KDE/../kdebug.h:260:64: warning: array subscript is above array bounds [-Warray-bounds]
 * /usr/include/KDE/../kdebug.h:260:64: warning: array subscript is above array bounds [-Warray-bounds]
 * /usr/include/KDE/../kdebug.h:260:64: warning: array subscript is above array bounds [-Warray-bounds]
 * /usr/include/KDE/../kdebug.h:260:64: warning: array subscript is above array bounds [-Warray-bounds]
 * /usr/include/KDE/../kdebug.h:260:64: warning: array subscript is above array bounds [-Warray-bounds]
 * /usr/include/KDE/../kdebug.h:260:64: warning: array subscript is above array bounds [-Warray-bounds]
 * /usr/include/KDE/../kdebug.h:260:64: warning: array subscript is above array bounds [-Warray-bounds]
 * /usr/include/KDE/../kdebug.h:260:64: warning: array subscript is above array bounds [-Warray-bounds]
 * /usr/include/KDE/../kdebug.h:260:64: warning: array subscript is above array bounds [-Warray-bounds]
 * /usr/include/KDE/../kdebug.h:260:64: warning: array subscript is above array bounds [-Warray-bounds]
 * /usr/include/KDE/../kdebug.h:260:64: warning: array subscript is above array bounds [-Warray-bounds]
 * /usr/include/KDE/../kdebug.h:260:64: warning: array subscript is above array bounds [-Warray-bounds]
 * /usr/include/KDE/../kdebug.h:260:64: warning: array subscript is above array bounds [-Warray-bounds]
 * /usr/include/KDE/../kdebug.h:260:64: warning: array subscript is above array bounds [-Warray-bounds]
 * /usr/include/KDE/../kdebug.h:260:64: warning: array subscript is above array bounds [-Warray-bounds]
 * /usr/include/KDE/../kdebug.h:260:64: warning: array subscript is above array bounds [-Warray-bounds]
 * /usr/include/KDE/../kdebug.h:260:64: warning: array subscript is above array bounds [-Warray-bounds]
 * /usr/include/KDE/../kdebug.h:260:64: warning: array subscript is above array bounds [-Warray-bounds]
 * /usr/include/KDE/../kdebug.h:260:64: warning: array subscript is above array bounds [-Warray-bounds]
 * /usr/include/KDE/../kdebug.h:260:64: warning: array subscript is above array bounds [-Warray-bounds]
 * /usr/include/KDE/../kdebug.h:260:64: warning: array subscript is above array bounds [-Warray-bounds]
 * /usr/include/KDE/../kdebug.h:260:64: warning: array subscript is above array bounds [-Warray-bounds]
 * /usr/include/KDE/../kdebug.h:260:64: warning: array subscript is above array bounds [-Warray-bounds]
 * /usr/include/KDE/../kdebug.h:260:64: warning: array subscript is above array bounds [-Warray-bounds]
 * /usr/include/KDE/../kdebug.h:260:64: warning: array subscript is above array bounds [-Warray-bounds]
 * /usr/include/KDE/../kdebug.h:260:64: warning: array subscript is above array bounds [-Warray-bounds]
 * /usr/include/KDE/../kdebug.h:260:64: warning: array subscript is above array bounds [-Warray-bounds]
 * /usr/include/KDE/../kdebug.h:260:64: warning: array subscript is above array bounds [-Warray-bounds]
 * /usr/include/KDE/../kdebug.h:260:64: warning: array subscript is above array bounds [-Warray-bounds]
 * /usr/include/KDE/../kdebug.h:260:64: warning: array subscript is above array bounds [-Warray-bounds]
 * /usr/include/KDE/../kdebug.h:260:64: warning: array subscript is above array bounds [-Warray-bounds]
 * /usr/include/KDE/../kdebug.h:260:64: warning: array subscript is above array bounds [-Warray-bounds]
 * /usr/include/KDE/../kdebug.h:260:64: warning: array subscript is above array bounds [-Warray-bounds]
 * /usr/include/KDE/../kdebug.h:260:64: warning: array subscript is above array bounds [-Warray-bounds]
 * /usr/include/KDE/../kdebug.h:260:64: warning: array subscript is above array bounds [-Warray-bounds]
 * /usr/include/KDE/../kdebug.h:260:64: warning: array subscript is above array bounds [-Warray-bounds]
 * /usr/include/KDE/../kdebug.h:260:64: warning: array subscript is above array bounds [-Warray-bounds]
 * /usr/include/KDE/../kdebug.h:260:64: warning: array subscript is above array bounds [-Warray-bounds]
 * /usr/include/KDE/../kdebug.h:260:64: warning: array subscript is above array bounds [-Warray-bounds]
 * /usr/include/KDE/../kdebug.h:260:64: warning: array subscript is above array bounds [-Warray-bounds]
 * /usr/include/KDE/../kdebug.h:260:64: warning: array subscript is above array bounds [-Warray-bounds]
 * /usr/include/KDE/../kdebug.h:260:64: warning: array subscript is above array bounds [-Warray-bounds]
 * /usr/include/KDE/../kdebug.h:260:64: warning: array subscript is above array bounds [-Warray-bounds]
 * /usr/include/KDE/../kdebug.h:260:64: warning: array subscript is above array bounds [-Warray-bounds]
 * /usr/include/KDE/../kdebug.h:260:64: warning: array subscript is above array bounds [-Warray-bounds]

 * Please do not file a Gentoo bug and instead report the above QA
 * issues directly to the upstream developers of this software.
 * Homepage: http://www.kde.org/applications/multimedia/kmix/


If the warnings are identical we should only print them once.
Comment 2 Brian Dolbec gentoo-dev 2015-05-19 19:49:22 UTC
Released in portage-2.2.19